package com.system.oauth.system.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 登录表单
 *
 * @Author scott
 * @since  2019-01-18
 */
@ApiModel(value="登录对象", description="登录对象")
@Data
public class SysLoginModel {
	@ApiModelProperty(value = "账号")
    private String username;
	@ApiModelProperty(value = "密码")
    @NotBlank(message = "username not blank")
    private String password;
	@ApiModelProperty(value = "验证码")
    @NotBlank(message = "username not blank")
    private String code;
//	@ApiModelProperty(value = "验证码key")
//    private String checkKey;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

//	public String getCheckKey() {
//		return checkKey;
//	}
//
//	public void setCheckKey(String checkKey) {
//		this.checkKey = checkKey;
//	}
    
}